> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add user to group

> Adds a user as a group member. The user must not already be a member of the group.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify post /admin/v0/groups/{group_id}/members
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/groups/{group_id}/members:
    post:
      tags:
        - Groups
      summary: Add user to group
      description: >-
        Adds a user as a group member. The user must not already be a member of
        the group.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: group_id
          in: path
        - schema:
            type: string
            enum:
              - application/json
          required: true
          name: content-type
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user:
                  anyOf:
                    - type: object
                      properties:
                        slack_user_id:
                          type: string
                          pattern: ^U[A-Z0-9]{8,20}$
                      required:
                        - slack_user_id
                      additionalProperties: false
                    - type: object
                      properties:
                        email:
                          type: string
                          format: email
                      required:
                        - email
                      additionalProperties: false
                    - type: object
                      properties:
                        profile_id:
                          type: string
                          format: uuid
                      required:
                        - profile_id
                      additionalProperties: false
                  description: >-
                    The user identifier, which must be exactly one of the
                    following: Slack user ID, email, or Tightknit profile ID
              required:
                - user
      responses:
        '200':
          description: User is already a member of the group
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '201':
          description: User added to group
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Returns a Not Found error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Automated Onboarding Journeys](/guides/set-up-automated-onboarding-journeys.md)
- [Groups](/community/groups.md)
- [CLI](/integrations/cli.md)
- [Salesforce](/integrations/salesforce.md)
- [MCP Server](/integrations/mcp.md)
